We’re rewarding the question askers & reputations are being recalculated! Read more.
2 deleted 4 characters in body; edited title
source | link

okay so after Installing libpcap-dev libssl-dev removed a daylot of fiddling around my very first Linux OS which happened to be "Elementary" I think I broke itpackages

    sudo apt-get install libpcap-dev libssl-dev
Reading package lists... Done
Building dependency tree 
Reading state information... Done
libpcap-dev is already the newest version (1.8.1-6ubuntu1).
The following packages were automatically installed and are no longer required:
augeas-lenses bridge-utils command-not-found-data cpu-checker cpulimit dc dconf-cli diffstat dynamips ebtables
exuberant-ctags gettext gir1.2-appindicator3-0.1 gir1.2-atspi-2.0 gir1.2-packagekitglib-1.0 gir1.2-vte-2.91
gir1.2-wnck-3.0 ibverbs-providers intltool-debian ipxe-qemu ipxe-qemu-256k-compat-efi-roms javascript-common libaio1
libapt-pkg-perl libarchive-zip-perl libart-2.0-2 libaugeas0 libauthen-sasl-perl libavahi-gobject0 libavahi-ui-gtk3-0
libcacard0 libcgi-fast-perl libcgi-pm-perl libchewing3 libchewing3-data libclass-accessor-perl libclone-perl
libdata-dump-perl libdigest-hmac-perl libeditorconfig0 libencode-locale-perl libexporter-tiny-perl libfcgi-perl
libfdt1 libfile-listing-perl libfont-afm-perl libfreerdp2-2 libgda-5.0-4 libgda-5.0-common libgit2-26
libgit2-glib-1.0-0 libglu1-mesa libgpod-common libgpod4 libgtk-vnc-2.0-0 libgvnc-1.0-0 libhangul-data libhangul1
libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl
libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libhttp-parser2.7.1 libibverbs1
libido3-0.1-0 libio-html-perl libio-pty-perl libio-socket-inet6-perl libio-string-perl libipc-run-perl libiscsi7
libjs-jquery liblist-moreutils-perl libllvm6.0 liblwp-mediatypes-perl libm17n-0 libnet-dns-perl
libnet-domain-tld-perl libnet-http-perl libnet-ip-perl libnet-libidn-perl libnetcf1 libotf0
libparse-debianchangelog-perl libpeas-common libperlio-gzip-perl libphodav-2.0-0 libphodav-2.0-common libpinyin-data
libpinyin13 libqt5designer5 libqt5help5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5test5
libqt5webchannel5 libqt5webkit5 libqt5websockets5 libqt5xml5 librados2 librbd1 librdmacm1 libsane-hpaio
libsdl1.2debian libsgutils2-2 libsocket6-perl libspice-client-glib-2.0-8 libspice-client-gtk-3.0-5 libspice-server1
libssh2-1 libsub-name-perl libtagc0 libtcl8.6 libtext-levenshtein-perl libtie-ixhash-perl libtimedate-perl libtk8.6
libtry-tiny-perl libusbredirhost1 libusbredirparser1 libvala-0.40-0 libvirt-bin libvirt-clients libvirt-daemon
libvirt-daemon-driver-storage-rbd libvirt-daemon-system libvirt0 libvncclient1 libvncserver1 libwinpr2-2
libwww-robotrules-perl libxatracker2 libxen-4.9 libxenstore3.0 libxml-libxml-perl libxml-namespacesupport-perl
libxml-sax-base-perl libxml-sax-perl libxml-simple-perl libxml-xpathengine-perl libxml2-utils libxnvctrl0 libyajl2
libyaml-libyaml-perl libzinnia0v5 m17n-db mozc-data mozc-server mozc-utils-gui mpv mscompress msr-tools patchutils
perl-openssl-defaults phantomjs pkg-config qemu-block-extra qemu-kvm qemu-system-common qemu-system-x86 qemu-utils
rtmpdump seabios spice-client-glib-usb-acl-helper t1utils tcl tcl8.6 tegaki-zinnia-japanese tk tk8.6 ubridge vinagre
vpcs x11-apps x11-session-utils x11vnc x11vnc-data xbrlapi xinit xserver-xorg-legacy xserver-xorg-video-all
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-nouveau
xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
libssl-doc libssl1.1
The following packages will be REMOVED:
apparmor aptdaemon command-not-found elementary-desktop elementary-minimal elementary-standard
foomatic-db-compressed-ppds gir1.2-ibus-1.0 gnome-menus gns3-gui gns3-server google-chrome-stable hplip hplip-data
ibus ibus-chewing ibus-hangul ibus-libpinyin ibus-m17n ibus-mozc ibus-table ibus-table-cangjie ibus-table-cangjie-big
ibus-table-cangjie3 ibus-table-cangjie5 ibus-table-quick-classic ibus-table-wubi ibus-unikey io.elementary.code
language-selector-common libcodecore0 libemail-valid-perl libio-socket-ssl-perl liblwp-protocol-https-perl
libmailtools-perl libnet-dbus-perl libnet-smtp-ssl-perl libnet-ssleay-perl libnoise-core0 libpeas-1.0-0
libpython3-stdlib libpython3.6 libpython3.6-minimal libpython3.6-stdlib libwww-perl libxml-parser-perl
libxml-sax-expat-perl libxml-twig-perl lintian lsb-release netplan.io networkd-dispatcher noise nplan nvidia-prime
nvidia-settings onboard onboard-common onboard-data openprinting-ppds orca printer-driver-foo2zjs
printer-driver-foo2zjs-common printer-driver-m2300w printer-driver-postscript-hp printer-driver-ptouch
printer-driver-pxljr python3 python3-apport python3-apt python3-aptdaemon python3-brlapi python3-cairo
python3-certifi python3-chardet python3-commandnotfound python3-dbus python3-defer python3-gdbm python3-gi
python3-gi-cairo python3-httplib2 python3-idna python3-louis python3-minimal python3-netifaces python3-olefile
python3-pexpect python3-pil python3-pkg-resources python3-problem-report python3-ptyprocess python3-pyatspi
python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebsockets python3-pyxattr python3-renderpm python3-reportlab
python3-reportlab-accel python3-requests python3-requests-unixsocket python3-sip python3-six
python3-software-properties python3-speechd python3-urllib3 python3-xdg python3-xkit python3-yaml python3.6
python3.6-minimal screen-resolution-extra snapd software-properties-common switchboard-plug-a11y
switchboard-plug-locale ubuntu-drivers-common ubuntu-minimal ufw xorg xserver-xorg youtube-dl
The following NEW packages will be installed:
libssl-dev libssl-doc
The following packages will be DOWNGRADED:
libssl1.1
0 upgraded, 2 newly installed, 1 downgraded, 123 to remove and 0 not upgraded.
Need to get 3,759 kB of archives.
After this operation, 535 MB disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl1.1 amd64 1.1.0g-2ubuntu4.3 [1,130 kB]
Get:2 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-dev amd64 1.1.0g-2ubuntu4.3 [1,374 kB]
Get:3 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-doc all 1.1.0g-2ubuntu4.3 [1,255 kB]
Fetched 3,759 kB in 3s (1,159 kB/s) 
Preconfiguring packages ...
(Reading database ... 194430 files and directories currently installed.)
Removing snapd (2.37.4+18.04.1) ...
Removing apparmor (2.12-4ubuntu5.1) ...
Removing switchboard-plug-locale (2.4.1+r509~ubuntu5.0.1) ...
Removing command-not-found (18.04.5) ...
Removing elementary-desktop (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-minimal (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-standard (1.466+r530~daily~ubuntu5.0.1) ...
Removing foomatic-db-compressed-ppds (20180306-1) ...
Removing ibus-mozc (2.20.2673.102+dfsg-2ubuntu0.18.04.1) ...
Removing ibus-unikey (0.6.1-1.1) ...
Removing ibus-hangul (1.5.0+git20161231-1) ...
Removing gnome-menus (3.13.3-11ubuntu1.1) ...
Removing gns3-gui (2.1.21~bionic1) ...
Removing gns3-server (2.1.21~bionic1) ...
Removing google-chrome-stable (75.0.3770.90-1) ...
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/x-www-browser (x-www-browser) in auto mode
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/gnome-www-browser (gnome-www-browser) in auto mode
Removing printer-driver-postscript-hp (3.17.10+repack0-5) ...
Removing hplip (3.17.10+repack0-5) ...
Removing hplip-data (3.17.10+repack0-5) ...
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/ui5' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/scan' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/prnt' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/pcard' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/installer' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/fax' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/copier' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/base/pexpect' not empty so not removed
Removing ibus-chewing (1.5.1-1) ...
Removing ibus-libpinyin (1.9.2-2) ...
Removing ibus-m17n (1.3.4-5) ...
Removing ibus-table-cangjie (1.8.2-2) ...
Removing ibus-table-cangjie-big (1.8.2-2) ...
Removing ibus-table-wubi (1.8.2-2) ...
Removing ibus-table-cangjie3 (1.8.2-2) ...
Removing ibus-table-cangjie5 (1.8.2-2) ...
Removing ibus-table-quick-classic (1.8.2-2) ...
Removing io.elementary.code (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing language-selector-common (0.188.2+elementary4+r1~ubuntu5.0.1) ...
Removing libcodecore0 (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing lintian (2.5.81ubuntu1) ...
Removing libemail-valid-perl (1.202-1) ...
Removing libmailtools-perl (2.18-1) ...
Removing libnet-smtp-ssl-perl (1.04-1) ...
Removing libxml-sax-expat-perl (0.40-2) ...
update-perl-sax-parsers: Unregistering Perl SAX parser XML::SAX::Expat with priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Removing libnet-dbus-perl (1.1.0-4build2) ...
Removing noise (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libnoise-core0 (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libpeas-1.0-0:amd64 (1.22.0-2) ...
Removing software-properties-common (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
Removing python3-software-properties (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
dpkg: warning: while removing python3-software-properties, directory '/usr/lib/python3/dist-packages/softwareproperties' not empty so not removed
Removing xorg (1:7.7+19ubuntu7.1) ...
Removing xserver-xorg (1:7.7+19ubuntu7.1) ...
Removing python3-apport (2.20.9-0ubuntu7.1) ...
Removing ubuntu-minimal (1.417.1) ...
Removing python3-pyqt5.qtwebsockets (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5.qtsvg (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5 (5.10.1+dfsg-1ubuntu2) ...
Removing libpython3.6:amd64 (3.6.8-1~18.04.1) ...
Removing libxml-twig-perl (1:3.50-1) ...
Removing nplan (0.40.1~18.04.4) ...
Removing netplan.io (0.40.1~18.04.4) ...
dpkg: warning: while removing netplan.io, directory '/etc/netplan' not empty so not removed
Removing networkd-dispatcher (1.7-0ubuntu3.3) ...
Removing nvidia-prime (0.8.8.2) ...
Removing nvidia-settings (390.77-0ubuntu0.18.04.1) ...
Removing switchboard-plug-a11y (2.1.3+r280~ubuntu5.0.1) ...
Removing onboard-data (1.4.1-2ubuntu1) ...
Removing onboard (1.4.1-2ubuntu1) ...
Removing onboard-common (1.4.1-2ubuntu1) ...
Removing openprinting-ppds (20180306-1) ...
Removing orca (3.28.0-3ubuntu1) ...
Removing printer-driver-foo2zjs (20170320dfsg0-4) ...
Removing printer-driver-foo2zjs-common (20170320dfsg0-4) ...
Removing printer-driver-m2300w (0.51-13) ...
Removing printer-driver-ptouch (1.4.2-3) ...
Removing printer-driver-pxljr (1.4+repack0-5) ...
Removing ubuntu-drivers-common (1:0.5.2.3) ...
Removing python3-brlapi (5.5-4ubuntu2.0.1) ...
Removing python3-gi-cairo (3.26.1-2ubuntu1) ...
Removing python3-cairo:amd64 (1.16.2-1) ...
Removing python3-requests-unixsocket (0.1.5-3) ...
Removing python3-requests (2.18.4-2ubuntu0.1) ...
Removing python3-certifi (2018.1.18-2) ...
Removing python3-chardet (3.0.4-1) ...
Removing python3-commandnotfound (18.04.5) ...
Removing python3-gdbm:amd64 (3.6.8-1~18.04) ...
Removing python3-pyatspi (2.26.0+dfsg-1) ...
Removing screen-resolution-extra (0.17.3) ...
Removing python3-httplib2 (0.9.2+dfsg-1ubuntu0.1) ...
Removing python3-idna (2.6-1) ...
Removing python3-louis (3.5.0-1ubuntu0.3) ...
Removing python3-netifaces (0.10.4-0.1build4) ...
Removing python3-olefile (0.45.1-1) ...
Removing python3-pexpect (4.2.1-1) ...
Removing python3-reportlab (3.4.0-3build1) ...
Removing python3-pil:amd64 (5.1.0-1) ...
Removing youtube-dl (2018.03.14-1) ...
Removing python3-problem-report (2.20.9-0ubuntu7.1) ...
Removing python3-ptyprocess (0.5.2-1) ...
Removing python3-pyxattr (0.6.0-2build2) ...
Removing python3-renderpm:amd64 (3.4.0-3build1) ...
Removing python3-reportlab-accel:amd64 (3.4.0-3build1) ...
Removing python3-sip (4.19.7+dfsg-1) ...
Removing python3-urllib3 (1.22-1ubuntu0.18.04.1) ...
Removing python3-six (1.11.0-2) ...
Removing python3-speechd (0.8.8-1ubuntu1) ...
Removing python3-xdg (0.25-4ubuntu1) ...
Removing python3-xkit (0.5.0ubuntu2) ...
Removing python3-yaml (3.12-1build2) ...
Removing ufw (0.36-0ubuntu0.18.04.1) ...
Skip stopping firewall: ufw (not enabled)
Removing ibus-table (1.9.14-3) ...
Removing libxml-parser-perl (2.44-2build3) ...
Removing lsb-release (9.20170808ubuntu1+elementary4~ubuntu18.04.1) ...
Removing ibus (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing gir1.2-ibus-1.0:amd64 (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing python3-aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing libwww-perl (6.31-1ubuntu0.1) ...
Removing liblwp-protocol-https-perl (6.07-2) ...
Removing libio-socket-ssl-perl (2.060-3~ubuntu18.04.1) ...
Removing libnet-ssleay-perl (1.84-1ubuntu0.1) ...
Removing python3-apt (1.6.4+elementary6~ubuntu5.0.1) ...
Removing python3-dbus (1.2.6-1) ...
Removing python3-defer (1.0.6-2build1) ...
Removing python3-gi (3.26.1-2ubuntu1) ...
Removing python3-pkg-resources (39.0.1-2) ...
Removing python3 (3.6.7-1~18.04) ...
Removing libpython3-stdlib:amd64 (3.6.7-1~18.04) ...
Removing python3.6 (3.6.8-1~18.04.1) ...
Removing libpython3.6-stdlib:amd64 (3.6.8-1~18.04.1) ...
Removing python3-minimal (3.6.7-1~18.04) ...
Removing python3.6-minimal (3.6.8-1~18.04.1) ...
Unlinking and removing bytecode for runtime python3.6
Removing libpython3.6-minimal:amd64 (3.6.8-1~18.04.1) ...
dpkg: warning: downgrading libssl1.1:amd64 from 1.1.1-1ubuntu2.1~18.04.2 to 1.1.0g-2ubuntu4.3
(Reading database ... 182436 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.0g-2ubuntu4.3) over (1.1.1-1ubuntu2.1~18.04.2) ...
Selecting previously unselected package libssl-dev:amd64.
Preparing to unpack .../libssl-dev_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Selecting previously unselected package libssl-doc.
Preparing to unpack .../libssl-doc_1.1.0g-2ubuntu4.3_all.deb ...
Unpacking libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2+elementary2~ubuntu5.0.1) ...
Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.3) ...
Processing triggers for cups (2.2.7-1ubuntu2.2) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libssl1.1:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for doc-base (0.10.8) ...
Processing 3 removed doc-base files...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for shared-mime-info (1.9-2) ...
Setting up libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for dbus (1.12.2-1ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...

okay so after a day of fiddling around my very first Linux OS which happened to be "Elementary" I think I broke it

    sudo apt-get install libpcap-dev libssl-dev
Reading package lists... Done
Building dependency tree 
Reading state information... Done
libpcap-dev is already the newest version (1.8.1-6ubuntu1).
The following packages were automatically installed and are no longer required:
augeas-lenses bridge-utils command-not-found-data cpu-checker cpulimit dc dconf-cli diffstat dynamips ebtables
exuberant-ctags gettext gir1.2-appindicator3-0.1 gir1.2-atspi-2.0 gir1.2-packagekitglib-1.0 gir1.2-vte-2.91
gir1.2-wnck-3.0 ibverbs-providers intltool-debian ipxe-qemu ipxe-qemu-256k-compat-efi-roms javascript-common libaio1
libapt-pkg-perl libarchive-zip-perl libart-2.0-2 libaugeas0 libauthen-sasl-perl libavahi-gobject0 libavahi-ui-gtk3-0
libcacard0 libcgi-fast-perl libcgi-pm-perl libchewing3 libchewing3-data libclass-accessor-perl libclone-perl
libdata-dump-perl libdigest-hmac-perl libeditorconfig0 libencode-locale-perl libexporter-tiny-perl libfcgi-perl
libfdt1 libfile-listing-perl libfont-afm-perl libfreerdp2-2 libgda-5.0-4 libgda-5.0-common libgit2-26
libgit2-glib-1.0-0 libglu1-mesa libgpod-common libgpod4 libgtk-vnc-2.0-0 libgvnc-1.0-0 libhangul-data libhangul1
libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl
libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libhttp-parser2.7.1 libibverbs1
libido3-0.1-0 libio-html-perl libio-pty-perl libio-socket-inet6-perl libio-string-perl libipc-run-perl libiscsi7
libjs-jquery liblist-moreutils-perl libllvm6.0 liblwp-mediatypes-perl libm17n-0 libnet-dns-perl
libnet-domain-tld-perl libnet-http-perl libnet-ip-perl libnet-libidn-perl libnetcf1 libotf0
libparse-debianchangelog-perl libpeas-common libperlio-gzip-perl libphodav-2.0-0 libphodav-2.0-common libpinyin-data
libpinyin13 libqt5designer5 libqt5help5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5test5
libqt5webchannel5 libqt5webkit5 libqt5websockets5 libqt5xml5 librados2 librbd1 librdmacm1 libsane-hpaio
libsdl1.2debian libsgutils2-2 libsocket6-perl libspice-client-glib-2.0-8 libspice-client-gtk-3.0-5 libspice-server1
libssh2-1 libsub-name-perl libtagc0 libtcl8.6 libtext-levenshtein-perl libtie-ixhash-perl libtimedate-perl libtk8.6
libtry-tiny-perl libusbredirhost1 libusbredirparser1 libvala-0.40-0 libvirt-bin libvirt-clients libvirt-daemon
libvirt-daemon-driver-storage-rbd libvirt-daemon-system libvirt0 libvncclient1 libvncserver1 libwinpr2-2
libwww-robotrules-perl libxatracker2 libxen-4.9 libxenstore3.0 libxml-libxml-perl libxml-namespacesupport-perl
libxml-sax-base-perl libxml-sax-perl libxml-simple-perl libxml-xpathengine-perl libxml2-utils libxnvctrl0 libyajl2
libyaml-libyaml-perl libzinnia0v5 m17n-db mozc-data mozc-server mozc-utils-gui mpv mscompress msr-tools patchutils
perl-openssl-defaults phantomjs pkg-config qemu-block-extra qemu-kvm qemu-system-common qemu-system-x86 qemu-utils
rtmpdump seabios spice-client-glib-usb-acl-helper t1utils tcl tcl8.6 tegaki-zinnia-japanese tk tk8.6 ubridge vinagre
vpcs x11-apps x11-session-utils x11vnc x11vnc-data xbrlapi xinit xserver-xorg-legacy xserver-xorg-video-all
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-nouveau
xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
libssl-doc libssl1.1
The following packages will be REMOVED:
apparmor aptdaemon command-not-found elementary-desktop elementary-minimal elementary-standard
foomatic-db-compressed-ppds gir1.2-ibus-1.0 gnome-menus gns3-gui gns3-server google-chrome-stable hplip hplip-data
ibus ibus-chewing ibus-hangul ibus-libpinyin ibus-m17n ibus-mozc ibus-table ibus-table-cangjie ibus-table-cangjie-big
ibus-table-cangjie3 ibus-table-cangjie5 ibus-table-quick-classic ibus-table-wubi ibus-unikey io.elementary.code
language-selector-common libcodecore0 libemail-valid-perl libio-socket-ssl-perl liblwp-protocol-https-perl
libmailtools-perl libnet-dbus-perl libnet-smtp-ssl-perl libnet-ssleay-perl libnoise-core0 libpeas-1.0-0
libpython3-stdlib libpython3.6 libpython3.6-minimal libpython3.6-stdlib libwww-perl libxml-parser-perl
libxml-sax-expat-perl libxml-twig-perl lintian lsb-release netplan.io networkd-dispatcher noise nplan nvidia-prime
nvidia-settings onboard onboard-common onboard-data openprinting-ppds orca printer-driver-foo2zjs
printer-driver-foo2zjs-common printer-driver-m2300w printer-driver-postscript-hp printer-driver-ptouch
printer-driver-pxljr python3 python3-apport python3-apt python3-aptdaemon python3-brlapi python3-cairo
python3-certifi python3-chardet python3-commandnotfound python3-dbus python3-defer python3-gdbm python3-gi
python3-gi-cairo python3-httplib2 python3-idna python3-louis python3-minimal python3-netifaces python3-olefile
python3-pexpect python3-pil python3-pkg-resources python3-problem-report python3-ptyprocess python3-pyatspi
python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebsockets python3-pyxattr python3-renderpm python3-reportlab
python3-reportlab-accel python3-requests python3-requests-unixsocket python3-sip python3-six
python3-software-properties python3-speechd python3-urllib3 python3-xdg python3-xkit python3-yaml python3.6
python3.6-minimal screen-resolution-extra snapd software-properties-common switchboard-plug-a11y
switchboard-plug-locale ubuntu-drivers-common ubuntu-minimal ufw xorg xserver-xorg youtube-dl
The following NEW packages will be installed:
libssl-dev libssl-doc
The following packages will be DOWNGRADED:
libssl1.1
0 upgraded, 2 newly installed, 1 downgraded, 123 to remove and 0 not upgraded.
Need to get 3,759 kB of archives.
After this operation, 535 MB disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl1.1 amd64 1.1.0g-2ubuntu4.3 [1,130 kB]
Get:2 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-dev amd64 1.1.0g-2ubuntu4.3 [1,374 kB]
Get:3 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-doc all 1.1.0g-2ubuntu4.3 [1,255 kB]
Fetched 3,759 kB in 3s (1,159 kB/s) 
Preconfiguring packages ...
(Reading database ... 194430 files and directories currently installed.)
Removing snapd (2.37.4+18.04.1) ...
Removing apparmor (2.12-4ubuntu5.1) ...
Removing switchboard-plug-locale (2.4.1+r509~ubuntu5.0.1) ...
Removing command-not-found (18.04.5) ...
Removing elementary-desktop (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-minimal (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-standard (1.466+r530~daily~ubuntu5.0.1) ...
Removing foomatic-db-compressed-ppds (20180306-1) ...
Removing ibus-mozc (2.20.2673.102+dfsg-2ubuntu0.18.04.1) ...
Removing ibus-unikey (0.6.1-1.1) ...
Removing ibus-hangul (1.5.0+git20161231-1) ...
Removing gnome-menus (3.13.3-11ubuntu1.1) ...
Removing gns3-gui (2.1.21~bionic1) ...
Removing gns3-server (2.1.21~bionic1) ...
Removing google-chrome-stable (75.0.3770.90-1) ...
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/x-www-browser (x-www-browser) in auto mode
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/gnome-www-browser (gnome-www-browser) in auto mode
Removing printer-driver-postscript-hp (3.17.10+repack0-5) ...
Removing hplip (3.17.10+repack0-5) ...
Removing hplip-data (3.17.10+repack0-5) ...
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/ui5' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/scan' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/prnt' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/pcard' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/installer' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/fax' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/copier' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/base/pexpect' not empty so not removed
Removing ibus-chewing (1.5.1-1) ...
Removing ibus-libpinyin (1.9.2-2) ...
Removing ibus-m17n (1.3.4-5) ...
Removing ibus-table-cangjie (1.8.2-2) ...
Removing ibus-table-cangjie-big (1.8.2-2) ...
Removing ibus-table-wubi (1.8.2-2) ...
Removing ibus-table-cangjie3 (1.8.2-2) ...
Removing ibus-table-cangjie5 (1.8.2-2) ...
Removing ibus-table-quick-classic (1.8.2-2) ...
Removing io.elementary.code (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing language-selector-common (0.188.2+elementary4+r1~ubuntu5.0.1) ...
Removing libcodecore0 (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing lintian (2.5.81ubuntu1) ...
Removing libemail-valid-perl (1.202-1) ...
Removing libmailtools-perl (2.18-1) ...
Removing libnet-smtp-ssl-perl (1.04-1) ...
Removing libxml-sax-expat-perl (0.40-2) ...
update-perl-sax-parsers: Unregistering Perl SAX parser XML::SAX::Expat with priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Removing libnet-dbus-perl (1.1.0-4build2) ...
Removing noise (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libnoise-core0 (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libpeas-1.0-0:amd64 (1.22.0-2) ...
Removing software-properties-common (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
Removing python3-software-properties (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
dpkg: warning: while removing python3-software-properties, directory '/usr/lib/python3/dist-packages/softwareproperties' not empty so not removed
Removing xorg (1:7.7+19ubuntu7.1) ...
Removing xserver-xorg (1:7.7+19ubuntu7.1) ...
Removing python3-apport (2.20.9-0ubuntu7.1) ...
Removing ubuntu-minimal (1.417.1) ...
Removing python3-pyqt5.qtwebsockets (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5.qtsvg (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5 (5.10.1+dfsg-1ubuntu2) ...
Removing libpython3.6:amd64 (3.6.8-1~18.04.1) ...
Removing libxml-twig-perl (1:3.50-1) ...
Removing nplan (0.40.1~18.04.4) ...
Removing netplan.io (0.40.1~18.04.4) ...
dpkg: warning: while removing netplan.io, directory '/etc/netplan' not empty so not removed
Removing networkd-dispatcher (1.7-0ubuntu3.3) ...
Removing nvidia-prime (0.8.8.2) ...
Removing nvidia-settings (390.77-0ubuntu0.18.04.1) ...
Removing switchboard-plug-a11y (2.1.3+r280~ubuntu5.0.1) ...
Removing onboard-data (1.4.1-2ubuntu1) ...
Removing onboard (1.4.1-2ubuntu1) ...
Removing onboard-common (1.4.1-2ubuntu1) ...
Removing openprinting-ppds (20180306-1) ...
Removing orca (3.28.0-3ubuntu1) ...
Removing printer-driver-foo2zjs (20170320dfsg0-4) ...
Removing printer-driver-foo2zjs-common (20170320dfsg0-4) ...
Removing printer-driver-m2300w (0.51-13) ...
Removing printer-driver-ptouch (1.4.2-3) ...
Removing printer-driver-pxljr (1.4+repack0-5) ...
Removing ubuntu-drivers-common (1:0.5.2.3) ...
Removing python3-brlapi (5.5-4ubuntu2.0.1) ...
Removing python3-gi-cairo (3.26.1-2ubuntu1) ...
Removing python3-cairo:amd64 (1.16.2-1) ...
Removing python3-requests-unixsocket (0.1.5-3) ...
Removing python3-requests (2.18.4-2ubuntu0.1) ...
Removing python3-certifi (2018.1.18-2) ...
Removing python3-chardet (3.0.4-1) ...
Removing python3-commandnotfound (18.04.5) ...
Removing python3-gdbm:amd64 (3.6.8-1~18.04) ...
Removing python3-pyatspi (2.26.0+dfsg-1) ...
Removing screen-resolution-extra (0.17.3) ...
Removing python3-httplib2 (0.9.2+dfsg-1ubuntu0.1) ...
Removing python3-idna (2.6-1) ...
Removing python3-louis (3.5.0-1ubuntu0.3) ...
Removing python3-netifaces (0.10.4-0.1build4) ...
Removing python3-olefile (0.45.1-1) ...
Removing python3-pexpect (4.2.1-1) ...
Removing python3-reportlab (3.4.0-3build1) ...
Removing python3-pil:amd64 (5.1.0-1) ...
Removing youtube-dl (2018.03.14-1) ...
Removing python3-problem-report (2.20.9-0ubuntu7.1) ...
Removing python3-ptyprocess (0.5.2-1) ...
Removing python3-pyxattr (0.6.0-2build2) ...
Removing python3-renderpm:amd64 (3.4.0-3build1) ...
Removing python3-reportlab-accel:amd64 (3.4.0-3build1) ...
Removing python3-sip (4.19.7+dfsg-1) ...
Removing python3-urllib3 (1.22-1ubuntu0.18.04.1) ...
Removing python3-six (1.11.0-2) ...
Removing python3-speechd (0.8.8-1ubuntu1) ...
Removing python3-xdg (0.25-4ubuntu1) ...
Removing python3-xkit (0.5.0ubuntu2) ...
Removing python3-yaml (3.12-1build2) ...
Removing ufw (0.36-0ubuntu0.18.04.1) ...
Skip stopping firewall: ufw (not enabled)
Removing ibus-table (1.9.14-3) ...
Removing libxml-parser-perl (2.44-2build3) ...
Removing lsb-release (9.20170808ubuntu1+elementary4~ubuntu18.04.1) ...
Removing ibus (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing gir1.2-ibus-1.0:amd64 (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing python3-aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing libwww-perl (6.31-1ubuntu0.1) ...
Removing liblwp-protocol-https-perl (6.07-2) ...
Removing libio-socket-ssl-perl (2.060-3~ubuntu18.04.1) ...
Removing libnet-ssleay-perl (1.84-1ubuntu0.1) ...
Removing python3-apt (1.6.4+elementary6~ubuntu5.0.1) ...
Removing python3-dbus (1.2.6-1) ...
Removing python3-defer (1.0.6-2build1) ...
Removing python3-gi (3.26.1-2ubuntu1) ...
Removing python3-pkg-resources (39.0.1-2) ...
Removing python3 (3.6.7-1~18.04) ...
Removing libpython3-stdlib:amd64 (3.6.7-1~18.04) ...
Removing python3.6 (3.6.8-1~18.04.1) ...
Removing libpython3.6-stdlib:amd64 (3.6.8-1~18.04.1) ...
Removing python3-minimal (3.6.7-1~18.04) ...
Removing python3.6-minimal (3.6.8-1~18.04.1) ...
Unlinking and removing bytecode for runtime python3.6
Removing libpython3.6-minimal:amd64 (3.6.8-1~18.04.1) ...
dpkg: warning: downgrading libssl1.1:amd64 from 1.1.1-1ubuntu2.1~18.04.2 to 1.1.0g-2ubuntu4.3
(Reading database ... 182436 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.0g-2ubuntu4.3) over (1.1.1-1ubuntu2.1~18.04.2) ...
Selecting previously unselected package libssl-dev:amd64.
Preparing to unpack .../libssl-dev_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Selecting previously unselected package libssl-doc.
Preparing to unpack .../libssl-doc_1.1.0g-2ubuntu4.3_all.deb ...
Unpacking libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2+elementary2~ubuntu5.0.1) ...
Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.3) ...
Processing triggers for cups (2.2.7-1ubuntu2.2) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libssl1.1:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for doc-base (0.10.8) ...
Processing 3 removed doc-base files...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for shared-mime-info (1.9-2) ...
Setting up libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for dbus (1.12.2-1ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...

Installing libpcap-dev libssl-dev removed a lot of packages

sudo apt-get install libpcap-dev libssl-dev
Reading package lists... Done
Building dependency tree 
Reading state information... Done
libpcap-dev is already the newest version (1.8.1-6ubuntu1).
The following packages were automatically installed and are no longer required:
augeas-lenses bridge-utils command-not-found-data cpu-checker cpulimit dc dconf-cli diffstat dynamips ebtables
exuberant-ctags gettext gir1.2-appindicator3-0.1 gir1.2-atspi-2.0 gir1.2-packagekitglib-1.0 gir1.2-vte-2.91
gir1.2-wnck-3.0 ibverbs-providers intltool-debian ipxe-qemu ipxe-qemu-256k-compat-efi-roms javascript-common libaio1
libapt-pkg-perl libarchive-zip-perl libart-2.0-2 libaugeas0 libauthen-sasl-perl libavahi-gobject0 libavahi-ui-gtk3-0
libcacard0 libcgi-fast-perl libcgi-pm-perl libchewing3 libchewing3-data libclass-accessor-perl libclone-perl
libdata-dump-perl libdigest-hmac-perl libeditorconfig0 libencode-locale-perl libexporter-tiny-perl libfcgi-perl
libfdt1 libfile-listing-perl libfont-afm-perl libfreerdp2-2 libgda-5.0-4 libgda-5.0-common libgit2-26
libgit2-glib-1.0-0 libglu1-mesa libgpod-common libgpod4 libgtk-vnc-2.0-0 libgvnc-1.0-0 libhangul-data libhangul1
libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl
libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libhttp-parser2.7.1 libibverbs1
libido3-0.1-0 libio-html-perl libio-pty-perl libio-socket-inet6-perl libio-string-perl libipc-run-perl libiscsi7
libjs-jquery liblist-moreutils-perl libllvm6.0 liblwp-mediatypes-perl libm17n-0 libnet-dns-perl
libnet-domain-tld-perl libnet-http-perl libnet-ip-perl libnet-libidn-perl libnetcf1 libotf0
libparse-debianchangelog-perl libpeas-common libperlio-gzip-perl libphodav-2.0-0 libphodav-2.0-common libpinyin-data
libpinyin13 libqt5designer5 libqt5help5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5test5
libqt5webchannel5 libqt5webkit5 libqt5websockets5 libqt5xml5 librados2 librbd1 librdmacm1 libsane-hpaio
libsdl1.2debian libsgutils2-2 libsocket6-perl libspice-client-glib-2.0-8 libspice-client-gtk-3.0-5 libspice-server1
libssh2-1 libsub-name-perl libtagc0 libtcl8.6 libtext-levenshtein-perl libtie-ixhash-perl libtimedate-perl libtk8.6
libtry-tiny-perl libusbredirhost1 libusbredirparser1 libvala-0.40-0 libvirt-bin libvirt-clients libvirt-daemon
libvirt-daemon-driver-storage-rbd libvirt-daemon-system libvirt0 libvncclient1 libvncserver1 libwinpr2-2
libwww-robotrules-perl libxatracker2 libxen-4.9 libxenstore3.0 libxml-libxml-perl libxml-namespacesupport-perl
libxml-sax-base-perl libxml-sax-perl libxml-simple-perl libxml-xpathengine-perl libxml2-utils libxnvctrl0 libyajl2
libyaml-libyaml-perl libzinnia0v5 m17n-db mozc-data mozc-server mozc-utils-gui mpv mscompress msr-tools patchutils
perl-openssl-defaults phantomjs pkg-config qemu-block-extra qemu-kvm qemu-system-common qemu-system-x86 qemu-utils
rtmpdump seabios spice-client-glib-usb-acl-helper t1utils tcl tcl8.6 tegaki-zinnia-japanese tk tk8.6 ubridge vinagre
vpcs x11-apps x11-session-utils x11vnc x11vnc-data xbrlapi xinit xserver-xorg-legacy xserver-xorg-video-all
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-nouveau
xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
libssl-doc libssl1.1
The following packages will be REMOVED:
apparmor aptdaemon command-not-found elementary-desktop elementary-minimal elementary-standard
foomatic-db-compressed-ppds gir1.2-ibus-1.0 gnome-menus gns3-gui gns3-server google-chrome-stable hplip hplip-data
ibus ibus-chewing ibus-hangul ibus-libpinyin ibus-m17n ibus-mozc ibus-table ibus-table-cangjie ibus-table-cangjie-big
ibus-table-cangjie3 ibus-table-cangjie5 ibus-table-quick-classic ibus-table-wubi ibus-unikey io.elementary.code
language-selector-common libcodecore0 libemail-valid-perl libio-socket-ssl-perl liblwp-protocol-https-perl
libmailtools-perl libnet-dbus-perl libnet-smtp-ssl-perl libnet-ssleay-perl libnoise-core0 libpeas-1.0-0
libpython3-stdlib libpython3.6 libpython3.6-minimal libpython3.6-stdlib libwww-perl libxml-parser-perl
libxml-sax-expat-perl libxml-twig-perl lintian lsb-release netplan.io networkd-dispatcher noise nplan nvidia-prime
nvidia-settings onboard onboard-common onboard-data openprinting-ppds orca printer-driver-foo2zjs
printer-driver-foo2zjs-common printer-driver-m2300w printer-driver-postscript-hp printer-driver-ptouch
printer-driver-pxljr python3 python3-apport python3-apt python3-aptdaemon python3-brlapi python3-cairo
python3-certifi python3-chardet python3-commandnotfound python3-dbus python3-defer python3-gdbm python3-gi
python3-gi-cairo python3-httplib2 python3-idna python3-louis python3-minimal python3-netifaces python3-olefile
python3-pexpect python3-pil python3-pkg-resources python3-problem-report python3-ptyprocess python3-pyatspi
python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebsockets python3-pyxattr python3-renderpm python3-reportlab
python3-reportlab-accel python3-requests python3-requests-unixsocket python3-sip python3-six
python3-software-properties python3-speechd python3-urllib3 python3-xdg python3-xkit python3-yaml python3.6
python3.6-minimal screen-resolution-extra snapd software-properties-common switchboard-plug-a11y
switchboard-plug-locale ubuntu-drivers-common ubuntu-minimal ufw xorg xserver-xorg youtube-dl
The following NEW packages will be installed:
libssl-dev libssl-doc
The following packages will be DOWNGRADED:
libssl1.1
0 upgraded, 2 newly installed, 1 downgraded, 123 to remove and 0 not upgraded.
Need to get 3,759 kB of archives.
After this operation, 535 MB disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl1.1 amd64 1.1.0g-2ubuntu4.3 [1,130 kB]
Get:2 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-dev amd64 1.1.0g-2ubuntu4.3 [1,374 kB]
Get:3 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-doc all 1.1.0g-2ubuntu4.3 [1,255 kB]
Fetched 3,759 kB in 3s (1,159 kB/s) 
Preconfiguring packages ...
(Reading database ... 194430 files and directories currently installed.)
Removing snapd (2.37.4+18.04.1) ...
Removing apparmor (2.12-4ubuntu5.1) ...
Removing switchboard-plug-locale (2.4.1+r509~ubuntu5.0.1) ...
Removing command-not-found (18.04.5) ...
Removing elementary-desktop (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-minimal (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-standard (1.466+r530~daily~ubuntu5.0.1) ...
Removing foomatic-db-compressed-ppds (20180306-1) ...
Removing ibus-mozc (2.20.2673.102+dfsg-2ubuntu0.18.04.1) ...
Removing ibus-unikey (0.6.1-1.1) ...
Removing ibus-hangul (1.5.0+git20161231-1) ...
Removing gnome-menus (3.13.3-11ubuntu1.1) ...
Removing gns3-gui (2.1.21~bionic1) ...
Removing gns3-server (2.1.21~bionic1) ...
Removing google-chrome-stable (75.0.3770.90-1) ...
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/x-www-browser (x-www-browser) in auto mode
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/gnome-www-browser (gnome-www-browser) in auto mode
Removing printer-driver-postscript-hp (3.17.10+repack0-5) ...
Removing hplip (3.17.10+repack0-5) ...
Removing hplip-data (3.17.10+repack0-5) ...
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/ui5' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/scan' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/prnt' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/pcard' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/installer' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/fax' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/copier' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/base/pexpect' not empty so not removed
Removing ibus-chewing (1.5.1-1) ...
Removing ibus-libpinyin (1.9.2-2) ...
Removing ibus-m17n (1.3.4-5) ...
Removing ibus-table-cangjie (1.8.2-2) ...
Removing ibus-table-cangjie-big (1.8.2-2) ...
Removing ibus-table-wubi (1.8.2-2) ...
Removing ibus-table-cangjie3 (1.8.2-2) ...
Removing ibus-table-cangjie5 (1.8.2-2) ...
Removing ibus-table-quick-classic (1.8.2-2) ...
Removing io.elementary.code (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing language-selector-common (0.188.2+elementary4+r1~ubuntu5.0.1) ...
Removing libcodecore0 (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing lintian (2.5.81ubuntu1) ...
Removing libemail-valid-perl (1.202-1) ...
Removing libmailtools-perl (2.18-1) ...
Removing libnet-smtp-ssl-perl (1.04-1) ...
Removing libxml-sax-expat-perl (0.40-2) ...
update-perl-sax-parsers: Unregistering Perl SAX parser XML::SAX::Expat with priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Removing libnet-dbus-perl (1.1.0-4build2) ...
Removing noise (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libnoise-core0 (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libpeas-1.0-0:amd64 (1.22.0-2) ...
Removing software-properties-common (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
Removing python3-software-properties (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
dpkg: warning: while removing python3-software-properties, directory '/usr/lib/python3/dist-packages/softwareproperties' not empty so not removed
Removing xorg (1:7.7+19ubuntu7.1) ...
Removing xserver-xorg (1:7.7+19ubuntu7.1) ...
Removing python3-apport (2.20.9-0ubuntu7.1) ...
Removing ubuntu-minimal (1.417.1) ...
Removing python3-pyqt5.qtwebsockets (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5.qtsvg (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5 (5.10.1+dfsg-1ubuntu2) ...
Removing libpython3.6:amd64 (3.6.8-1~18.04.1) ...
Removing libxml-twig-perl (1:3.50-1) ...
Removing nplan (0.40.1~18.04.4) ...
Removing netplan.io (0.40.1~18.04.4) ...
dpkg: warning: while removing netplan.io, directory '/etc/netplan' not empty so not removed
Removing networkd-dispatcher (1.7-0ubuntu3.3) ...
Removing nvidia-prime (0.8.8.2) ...
Removing nvidia-settings (390.77-0ubuntu0.18.04.1) ...
Removing switchboard-plug-a11y (2.1.3+r280~ubuntu5.0.1) ...
Removing onboard-data (1.4.1-2ubuntu1) ...
Removing onboard (1.4.1-2ubuntu1) ...
Removing onboard-common (1.4.1-2ubuntu1) ...
Removing openprinting-ppds (20180306-1) ...
Removing orca (3.28.0-3ubuntu1) ...
Removing printer-driver-foo2zjs (20170320dfsg0-4) ...
Removing printer-driver-foo2zjs-common (20170320dfsg0-4) ...
Removing printer-driver-m2300w (0.51-13) ...
Removing printer-driver-ptouch (1.4.2-3) ...
Removing printer-driver-pxljr (1.4+repack0-5) ...
Removing ubuntu-drivers-common (1:0.5.2.3) ...
Removing python3-brlapi (5.5-4ubuntu2.0.1) ...
Removing python3-gi-cairo (3.26.1-2ubuntu1) ...
Removing python3-cairo:amd64 (1.16.2-1) ...
Removing python3-requests-unixsocket (0.1.5-3) ...
Removing python3-requests (2.18.4-2ubuntu0.1) ...
Removing python3-certifi (2018.1.18-2) ...
Removing python3-chardet (3.0.4-1) ...
Removing python3-commandnotfound (18.04.5) ...
Removing python3-gdbm:amd64 (3.6.8-1~18.04) ...
Removing python3-pyatspi (2.26.0+dfsg-1) ...
Removing screen-resolution-extra (0.17.3) ...
Removing python3-httplib2 (0.9.2+dfsg-1ubuntu0.1) ...
Removing python3-idna (2.6-1) ...
Removing python3-louis (3.5.0-1ubuntu0.3) ...
Removing python3-netifaces (0.10.4-0.1build4) ...
Removing python3-olefile (0.45.1-1) ...
Removing python3-pexpect (4.2.1-1) ...
Removing python3-reportlab (3.4.0-3build1) ...
Removing python3-pil:amd64 (5.1.0-1) ...
Removing youtube-dl (2018.03.14-1) ...
Removing python3-problem-report (2.20.9-0ubuntu7.1) ...
Removing python3-ptyprocess (0.5.2-1) ...
Removing python3-pyxattr (0.6.0-2build2) ...
Removing python3-renderpm:amd64 (3.4.0-3build1) ...
Removing python3-reportlab-accel:amd64 (3.4.0-3build1) ...
Removing python3-sip (4.19.7+dfsg-1) ...
Removing python3-urllib3 (1.22-1ubuntu0.18.04.1) ...
Removing python3-six (1.11.0-2) ...
Removing python3-speechd (0.8.8-1ubuntu1) ...
Removing python3-xdg (0.25-4ubuntu1) ...
Removing python3-xkit (0.5.0ubuntu2) ...
Removing python3-yaml (3.12-1build2) ...
Removing ufw (0.36-0ubuntu0.18.04.1) ...
Skip stopping firewall: ufw (not enabled)
Removing ibus-table (1.9.14-3) ...
Removing libxml-parser-perl (2.44-2build3) ...
Removing lsb-release (9.20170808ubuntu1+elementary4~ubuntu18.04.1) ...
Removing ibus (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing gir1.2-ibus-1.0:amd64 (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing python3-aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing libwww-perl (6.31-1ubuntu0.1) ...
Removing liblwp-protocol-https-perl (6.07-2) ...
Removing libio-socket-ssl-perl (2.060-3~ubuntu18.04.1) ...
Removing libnet-ssleay-perl (1.84-1ubuntu0.1) ...
Removing python3-apt (1.6.4+elementary6~ubuntu5.0.1) ...
Removing python3-dbus (1.2.6-1) ...
Removing python3-defer (1.0.6-2build1) ...
Removing python3-gi (3.26.1-2ubuntu1) ...
Removing python3-pkg-resources (39.0.1-2) ...
Removing python3 (3.6.7-1~18.04) ...
Removing libpython3-stdlib:amd64 (3.6.7-1~18.04) ...
Removing python3.6 (3.6.8-1~18.04.1) ...
Removing libpython3.6-stdlib:amd64 (3.6.8-1~18.04.1) ...
Removing python3-minimal (3.6.7-1~18.04) ...
Removing python3.6-minimal (3.6.8-1~18.04.1) ...
Unlinking and removing bytecode for runtime python3.6
Removing libpython3.6-minimal:amd64 (3.6.8-1~18.04.1) ...
dpkg: warning: downgrading libssl1.1:amd64 from 1.1.1-1ubuntu2.1~18.04.2 to 1.1.0g-2ubuntu4.3
(Reading database ... 182436 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.0g-2ubuntu4.3) over (1.1.1-1ubuntu2.1~18.04.2) ...
Selecting previously unselected package libssl-dev:amd64.
Preparing to unpack .../libssl-dev_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Selecting previously unselected package libssl-doc.
Preparing to unpack .../libssl-doc_1.1.0g-2ubuntu4.3_all.deb ...
Unpacking libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2+elementary2~ubuntu5.0.1) ...
Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.3) ...
Processing triggers for cups (2.2.7-1ubuntu2.2) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libssl1.1:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for doc-base (0.10.8) ...
Processing 3 removed doc-base files...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for shared-mime-info (1.9-2) ...
Setting up libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for dbus (1.12.2-1ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
1
source | link

okay so after a day of fiddling around my very first Linux OS which happened to be "Elementary" I think I broke it

After typing this command sudo apt-get install libpcap-dev libssl-dev in an effort to fix something else, it actually uninstalled many programs that i spent a whole night (because i am noob to this) to set up.

The exact output of the command was:

    sudo apt-get install libpcap-dev libssl-dev
Reading package lists... Done
Building dependency tree 
Reading state information... Done
libpcap-dev is already the newest version (1.8.1-6ubuntu1).
The following packages were automatically installed and are no longer required:
augeas-lenses bridge-utils command-not-found-data cpu-checker cpulimit dc dconf-cli diffstat dynamips ebtables
exuberant-ctags gettext gir1.2-appindicator3-0.1 gir1.2-atspi-2.0 gir1.2-packagekitglib-1.0 gir1.2-vte-2.91
gir1.2-wnck-3.0 ibverbs-providers intltool-debian ipxe-qemu ipxe-qemu-256k-compat-efi-roms javascript-common libaio1
libapt-pkg-perl libarchive-zip-perl libart-2.0-2 libaugeas0 libauthen-sasl-perl libavahi-gobject0 libavahi-ui-gtk3-0
libcacard0 libcgi-fast-perl libcgi-pm-perl libchewing3 libchewing3-data libclass-accessor-perl libclone-perl
libdata-dump-perl libdigest-hmac-perl libeditorconfig0 libencode-locale-perl libexporter-tiny-perl libfcgi-perl
libfdt1 libfile-listing-perl libfont-afm-perl libfreerdp2-2 libgda-5.0-4 libgda-5.0-common libgit2-26
libgit2-glib-1.0-0 libglu1-mesa libgpod-common libgpod4 libgtk-vnc-2.0-0 libgvnc-1.0-0 libhangul-data libhangul1
libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl
libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libhttp-parser2.7.1 libibverbs1
libido3-0.1-0 libio-html-perl libio-pty-perl libio-socket-inet6-perl libio-string-perl libipc-run-perl libiscsi7
libjs-jquery liblist-moreutils-perl libllvm6.0 liblwp-mediatypes-perl libm17n-0 libnet-dns-perl
libnet-domain-tld-perl libnet-http-perl libnet-ip-perl libnet-libidn-perl libnetcf1 libotf0
libparse-debianchangelog-perl libpeas-common libperlio-gzip-perl libphodav-2.0-0 libphodav-2.0-common libpinyin-data
libpinyin13 libqt5designer5 libqt5help5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5test5
libqt5webchannel5 libqt5webkit5 libqt5websockets5 libqt5xml5 librados2 librbd1 librdmacm1 libsane-hpaio
libsdl1.2debian libsgutils2-2 libsocket6-perl libspice-client-glib-2.0-8 libspice-client-gtk-3.0-5 libspice-server1
libssh2-1 libsub-name-perl libtagc0 libtcl8.6 libtext-levenshtein-perl libtie-ixhash-perl libtimedate-perl libtk8.6
libtry-tiny-perl libusbredirhost1 libusbredirparser1 libvala-0.40-0 libvirt-bin libvirt-clients libvirt-daemon
libvirt-daemon-driver-storage-rbd libvirt-daemon-system libvirt0 libvncclient1 libvncserver1 libwinpr2-2
libwww-robotrules-perl libxatracker2 libxen-4.9 libxenstore3.0 libxml-libxml-perl libxml-namespacesupport-perl
libxml-sax-base-perl libxml-sax-perl libxml-simple-perl libxml-xpathengine-perl libxml2-utils libxnvctrl0 libyajl2
libyaml-libyaml-perl libzinnia0v5 m17n-db mozc-data mozc-server mozc-utils-gui mpv mscompress msr-tools patchutils
perl-openssl-defaults phantomjs pkg-config qemu-block-extra qemu-kvm qemu-system-common qemu-system-x86 qemu-utils
rtmpdump seabios spice-client-glib-usb-acl-helper t1utils tcl tcl8.6 tegaki-zinnia-japanese tk tk8.6 ubridge vinagre
vpcs x11-apps x11-session-utils x11vnc x11vnc-data xbrlapi xinit xserver-xorg-legacy xserver-xorg-video-all
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-nouveau
xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
libssl-doc libssl1.1
The following packages will be REMOVED:
apparmor aptdaemon command-not-found elementary-desktop elementary-minimal elementary-standard
foomatic-db-compressed-ppds gir1.2-ibus-1.0 gnome-menus gns3-gui gns3-server google-chrome-stable hplip hplip-data
ibus ibus-chewing ibus-hangul ibus-libpinyin ibus-m17n ibus-mozc ibus-table ibus-table-cangjie ibus-table-cangjie-big
ibus-table-cangjie3 ibus-table-cangjie5 ibus-table-quick-classic ibus-table-wubi ibus-unikey io.elementary.code
language-selector-common libcodecore0 libemail-valid-perl libio-socket-ssl-perl liblwp-protocol-https-perl
libmailtools-perl libnet-dbus-perl libnet-smtp-ssl-perl libnet-ssleay-perl libnoise-core0 libpeas-1.0-0
libpython3-stdlib libpython3.6 libpython3.6-minimal libpython3.6-stdlib libwww-perl libxml-parser-perl
libxml-sax-expat-perl libxml-twig-perl lintian lsb-release netplan.io networkd-dispatcher noise nplan nvidia-prime
nvidia-settings onboard onboard-common onboard-data openprinting-ppds orca printer-driver-foo2zjs
printer-driver-foo2zjs-common printer-driver-m2300w printer-driver-postscript-hp printer-driver-ptouch
printer-driver-pxljr python3 python3-apport python3-apt python3-aptdaemon python3-brlapi python3-cairo
python3-certifi python3-chardet python3-commandnotfound python3-dbus python3-defer python3-gdbm python3-gi
python3-gi-cairo python3-httplib2 python3-idna python3-louis python3-minimal python3-netifaces python3-olefile
python3-pexpect python3-pil python3-pkg-resources python3-problem-report python3-ptyprocess python3-pyatspi
python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebsockets python3-pyxattr python3-renderpm python3-reportlab
python3-reportlab-accel python3-requests python3-requests-unixsocket python3-sip python3-six
python3-software-properties python3-speechd python3-urllib3 python3-xdg python3-xkit python3-yaml python3.6
python3.6-minimal screen-resolution-extra snapd software-properties-common switchboard-plug-a11y
switchboard-plug-locale ubuntu-drivers-common ubuntu-minimal ufw xorg xserver-xorg youtube-dl
The following NEW packages will be installed:
libssl-dev libssl-doc
The following packages will be DOWNGRADED:
libssl1.1
0 upgraded, 2 newly installed, 1 downgraded, 123 to remove and 0 not upgraded.
Need to get 3,759 kB of archives.
After this operation, 535 MB disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl1.1 amd64 1.1.0g-2ubuntu4.3 [1,130 kB]
Get:2 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-dev amd64 1.1.0g-2ubuntu4.3 [1,374 kB]
Get:3 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libssl-doc all 1.1.0g-2ubuntu4.3 [1,255 kB]
Fetched 3,759 kB in 3s (1,159 kB/s) 
Preconfiguring packages ...
(Reading database ... 194430 files and directories currently installed.)
Removing snapd (2.37.4+18.04.1) ...
Removing apparmor (2.12-4ubuntu5.1) ...
Removing switchboard-plug-locale (2.4.1+r509~ubuntu5.0.1) ...
Removing command-not-found (18.04.5) ...
Removing elementary-desktop (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-minimal (1.466+r530~daily~ubuntu5.0.1) ...
Removing elementary-standard (1.466+r530~daily~ubuntu5.0.1) ...
Removing foomatic-db-compressed-ppds (20180306-1) ...
Removing ibus-mozc (2.20.2673.102+dfsg-2ubuntu0.18.04.1) ...
Removing ibus-unikey (0.6.1-1.1) ...
Removing ibus-hangul (1.5.0+git20161231-1) ...
Removing gnome-menus (3.13.3-11ubuntu1.1) ...
Removing gns3-gui (2.1.21~bionic1) ...
Removing gns3-server (2.1.21~bionic1) ...
Removing google-chrome-stable (75.0.3770.90-1) ...
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/x-www-browser (x-www-browser) in auto mode
update-alternatives: using /usr/bin/epiphany-browser to provide /usr/bin/gnome-www-browser (gnome-www-browser) in auto mode
Removing printer-driver-postscript-hp (3.17.10+repack0-5) ...
Removing hplip (3.17.10+repack0-5) ...
Removing hplip-data (3.17.10+repack0-5) ...
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/ui5' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/scan' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/prnt' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/pcard' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/installer' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/fax' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/copier' not empty so not removed
dpkg: warning: while removing hplip-data, directory '/usr/share/hplip/base/pexpect' not empty so not removed
Removing ibus-chewing (1.5.1-1) ...
Removing ibus-libpinyin (1.9.2-2) ...
Removing ibus-m17n (1.3.4-5) ...
Removing ibus-table-cangjie (1.8.2-2) ...
Removing ibus-table-cangjie-big (1.8.2-2) ...
Removing ibus-table-wubi (1.8.2-2) ...
Removing ibus-table-cangjie3 (1.8.2-2) ...
Removing ibus-table-cangjie5 (1.8.2-2) ...
Removing ibus-table-quick-classic (1.8.2-2) ...
Removing io.elementary.code (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing language-selector-common (0.188.2+elementary4+r1~ubuntu5.0.1) ...
Removing libcodecore0 (3.1.1~r2719+pkg126~ubuntu5.0.1) ...
Removing lintian (2.5.81ubuntu1) ...
Removing libemail-valid-perl (1.202-1) ...
Removing libmailtools-perl (2.18-1) ...
Removing libnet-smtp-ssl-perl (1.04-1) ...
Removing libxml-sax-expat-perl (0.40-2) ...
update-perl-sax-parsers: Unregistering Perl SAX parser XML::SAX::Expat with priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Removing libnet-dbus-perl (1.1.0-4build2) ...
Removing noise (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libnoise-core0 (5.0.4+r2721+pkg114~ubuntu5.0.1) ...
Removing libpeas-1.0-0:amd64 (1.22.0-2) ...
Removing software-properties-common (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
Removing python3-software-properties (0.96.24.32.9+elementary7~ubuntu5.0.1) ...
dpkg: warning: while removing python3-software-properties, directory '/usr/lib/python3/dist-packages/softwareproperties' not empty so not removed
Removing xorg (1:7.7+19ubuntu7.1) ...
Removing xserver-xorg (1:7.7+19ubuntu7.1) ...
Removing python3-apport (2.20.9-0ubuntu7.1) ...
Removing ubuntu-minimal (1.417.1) ...
Removing python3-pyqt5.qtwebsockets (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5.qtsvg (5.10.1+dfsg-1ubuntu2) ...
Removing python3-pyqt5 (5.10.1+dfsg-1ubuntu2) ...
Removing libpython3.6:amd64 (3.6.8-1~18.04.1) ...
Removing libxml-twig-perl (1:3.50-1) ...
Removing nplan (0.40.1~18.04.4) ...
Removing netplan.io (0.40.1~18.04.4) ...
dpkg: warning: while removing netplan.io, directory '/etc/netplan' not empty so not removed
Removing networkd-dispatcher (1.7-0ubuntu3.3) ...
Removing nvidia-prime (0.8.8.2) ...
Removing nvidia-settings (390.77-0ubuntu0.18.04.1) ...
Removing switchboard-plug-a11y (2.1.3+r280~ubuntu5.0.1) ...
Removing onboard-data (1.4.1-2ubuntu1) ...
Removing onboard (1.4.1-2ubuntu1) ...
Removing onboard-common (1.4.1-2ubuntu1) ...
Removing openprinting-ppds (20180306-1) ...
Removing orca (3.28.0-3ubuntu1) ...
Removing printer-driver-foo2zjs (20170320dfsg0-4) ...
Removing printer-driver-foo2zjs-common (20170320dfsg0-4) ...
Removing printer-driver-m2300w (0.51-13) ...
Removing printer-driver-ptouch (1.4.2-3) ...
Removing printer-driver-pxljr (1.4+repack0-5) ...
Removing ubuntu-drivers-common (1:0.5.2.3) ...
Removing python3-brlapi (5.5-4ubuntu2.0.1) ...
Removing python3-gi-cairo (3.26.1-2ubuntu1) ...
Removing python3-cairo:amd64 (1.16.2-1) ...
Removing python3-requests-unixsocket (0.1.5-3) ...
Removing python3-requests (2.18.4-2ubuntu0.1) ...
Removing python3-certifi (2018.1.18-2) ...
Removing python3-chardet (3.0.4-1) ...
Removing python3-commandnotfound (18.04.5) ...
Removing python3-gdbm:amd64 (3.6.8-1~18.04) ...
Removing python3-pyatspi (2.26.0+dfsg-1) ...
Removing screen-resolution-extra (0.17.3) ...
Removing python3-httplib2 (0.9.2+dfsg-1ubuntu0.1) ...
Removing python3-idna (2.6-1) ...
Removing python3-louis (3.5.0-1ubuntu0.3) ...
Removing python3-netifaces (0.10.4-0.1build4) ...
Removing python3-olefile (0.45.1-1) ...
Removing python3-pexpect (4.2.1-1) ...
Removing python3-reportlab (3.4.0-3build1) ...
Removing python3-pil:amd64 (5.1.0-1) ...
Removing youtube-dl (2018.03.14-1) ...
Removing python3-problem-report (2.20.9-0ubuntu7.1) ...
Removing python3-ptyprocess (0.5.2-1) ...
Removing python3-pyxattr (0.6.0-2build2) ...
Removing python3-renderpm:amd64 (3.4.0-3build1) ...
Removing python3-reportlab-accel:amd64 (3.4.0-3build1) ...
Removing python3-sip (4.19.7+dfsg-1) ...
Removing python3-urllib3 (1.22-1ubuntu0.18.04.1) ...
Removing python3-six (1.11.0-2) ...
Removing python3-speechd (0.8.8-1ubuntu1) ...
Removing python3-xdg (0.25-4ubuntu1) ...
Removing python3-xkit (0.5.0ubuntu2) ...
Removing python3-yaml (3.12-1build2) ...
Removing ufw (0.36-0ubuntu0.18.04.1) ...
Skip stopping firewall: ufw (not enabled)
Removing ibus-table (1.9.14-3) ...
Removing libxml-parser-perl (2.44-2build3) ...
Removing lsb-release (9.20170808ubuntu1+elementary4~ubuntu18.04.1) ...
Removing ibus (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing gir1.2-ibus-1.0:amd64 (1.5.17-3ubuntu4+elementary2+r1~ubuntu5.0.1) ...
Removing python3-aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing aptdaemon (1.1.1+bzr982-0ubuntu19) ...
Removing libwww-perl (6.31-1ubuntu0.1) ...
Removing liblwp-protocol-https-perl (6.07-2) ...
Removing libio-socket-ssl-perl (2.060-3~ubuntu18.04.1) ...
Removing libnet-ssleay-perl (1.84-1ubuntu0.1) ...
Removing python3-apt (1.6.4+elementary6~ubuntu5.0.1) ...
Removing python3-dbus (1.2.6-1) ...
Removing python3-defer (1.0.6-2build1) ...
Removing python3-gi (3.26.1-2ubuntu1) ...
Removing python3-pkg-resources (39.0.1-2) ...
Removing python3 (3.6.7-1~18.04) ...
Removing libpython3-stdlib:amd64 (3.6.7-1~18.04) ...
Removing python3.6 (3.6.8-1~18.04.1) ...
Removing libpython3.6-stdlib:amd64 (3.6.8-1~18.04.1) ...
Removing python3-minimal (3.6.7-1~18.04) ...
Removing python3.6-minimal (3.6.8-1~18.04.1) ...
Unlinking and removing bytecode for runtime python3.6
Removing libpython3.6-minimal:amd64 (3.6.8-1~18.04.1) ...
dpkg: warning: downgrading libssl1.1:amd64 from 1.1.1-1ubuntu2.1~18.04.2 to 1.1.0g-2ubuntu4.3
(Reading database ... 182436 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.0g-2ubuntu4.3) over (1.1.1-1ubuntu2.1~18.04.2) ...
Selecting previously unselected package libssl-dev:amd64.
Preparing to unpack .../libssl-dev_1.1.0g-2ubuntu4.3_amd64.deb ...
Unpacking libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Selecting previously unselected package libssl-doc.
Preparing to unpack .../libssl-doc_1.1.0g-2ubuntu4.3_all.deb ...
Unpacking libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2+elementary2~ubuntu5.0.1) ...
Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.3) ...
Processing triggers for cups (2.2.7-1ubuntu2.2) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libssl1.1:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for doc-base (0.10.8) ...
Processing 3 removed doc-base files...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for shared-mime-info (1.9-2) ...
Setting up libssl-doc (1.1.0g-2ubuntu4.3) ...
Processing triggers for dbus (1.12.2-1ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up libssl-dev:amd64 (1.1.0g-2ubuntu4.3) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...

I wish I could time travel.